### Name: starplotModelBased
### Title: Model-based Starplots of Ratings Data
### Aliases: starplotModelBased
### Keywords: hplot

### ** Examples

## Not run: 
##D ## Mondo Times example from Ho & Quinn (nd).
##D ## may have to increase stack limit to run this example on some machines
##D 
##D data(Mondo)
##D 
##D ord.out <- ordrating(Mondo, beta.constraint=1, tune=.035, 
##D                      ma=1, mb=-5, vinva=1, vinvb=0.05,
##D                      gamma.start=c(-300, 0, 1.5, 3.0, 4.5, 300),
##D                      thin=20, burnin=20000, mcmc=100000, verbose=1000)
##D 
##D ## get rating probabilities
##D tau <- tauCalculate(ord.out, 500)
##D 
##D ## just the labeled outlets
##D tau.sub <- tau[-grep("thetaOutlet", rownames(tau)),]
##D 
##D ## clean up names
##D rownames(tau.sub) <-  gsub("theta", "", rownames(tau.sub))
##D 
##D starplotModelBased(tau.sub)
##D 
##D ## more informative labels
##D colnames(tau.sub) <- c("Awful", "Poor", "Average", "Very Good", "Great")
##D 
##D starplotModelBased(tau.sub)
##D 
##D 
##D 
##D ## subsetting the Mondo data to include only raters who rated 5 or more 
##D ## outlets (should avoid any stacksize problems)
##D 
##D Mondo.sub <- Mondo[apply(!is.na(Mondo), 1, sum) >= 5, ]
##D ## also getting rid of outlets that are not rated now
##D Mondo.sub <- Mondo.sub[,apply(is.na(Mondo.sub), 2, mean) != 1] 
##D 
##D ord.out <- ordrating(Mondo.sub, beta.constraint=1, tune=.035, 
##D                      ma=1, mb=-5, vinva=1, vinvb=0.05,
##D                      gamma.start=c(-300, 0, 1.5, 3.0, 4.5, 300),
##D                      thin=20, burnin=20000, mcmc=100000, verbose=1000)
##D 
##D ## get rating probabilities
##D tau <- tauCalculate(ord.out, 500)
##D 
##D ## just the labeled outlets
##D tau.sub <- tau[-grep("thetaOutlet", rownames(tau)),]
##D 
##D ## clean up names
##D rownames(tau.sub) <-  gsub("theta", "", rownames(tau.sub))
##D 
##D starplotModelBased(tau.sub)
##D 
##D ## more informative labels
##D colnames(tau.sub) <- c("Awful", "Poor", "Average", "Very Good", "Great")
##D 
##D starplotModelBased(tau.sub)
##D 
##D ## a different color scheme
##D mycol <- rgb(red=c(255, 243, 231, 219, 207, 159, 82.5, 30, 0, 0, 255),
##D               green=c(255.0, 250.1, 245.2, 240.3, 235.4, 215.8, 175, 144,
##D                 0, 0, 69),
##D               blue=c(255, 255, 255, 255, 255, 255, 255, 255, 238, 183, 0),
##D               maxColorValue=255
##D               )
##D 
##D starplotModelBased(tau.sub, colvec=mycol)
##D 
## End(Not run)



